﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            WebHierarchicalDataGrid1.DataSource = GetTable();
        }
    }

    public DataSet GetTable()
    {
        DataSet ds = new DataSet();
        DataTable dt = new DataTable();
        ds.Tables.Add(dt);

        dt.TableName = "Table";
        DataRow newRow;

        DataColumn idColumn = new DataColumn();
        idColumn.ColumnName = "id";
        idColumn.DataType = System.Type.GetType("System.Int32");
        idColumn.AutoIncrement = true;

        dt.Columns.Add(idColumn);
        dt.Columns.Add("EmployeeId", System.Type.GetType("System.Int32"));
        dt.Columns.Add("EmployeeName", System.Type.GetType("System.String"));
        dt.Columns.Add("Age", System.Type.GetType("System.Int32"));
        dt.Columns.Add("Extension", System.Type.GetType("System.Int32"));

        for (int i = 1; i <= 20; i++)
        {
            newRow = dt.NewRow();

            newRow["EmployeeId"] = i;
            newRow["EmployeeName"] = "Employee " + i;
            newRow["Age"] = i + 30;
            newRow["Extension"] = i + 254;

            dt.Rows.Add(newRow);
        }

        return ds;
    }

    protected void Page_Init(object sender, EventArgs e)
    {
        var temp = 0;
    }
    protected void WebDataGrid_Init(object sender, EventArgs e)
    {
        var temp = 0;
    }
}